@mixin heading-text-style {
    font-weight: 700;
    font-size: 4.2rem;
    line-height: 5.1rem;

    @include respond (tab-port) {
        font-size: 3.5rem;
        line-height: 4.5rem;
    }
}

@mixin header-nav-style {
    font-weight: 500;
    line-height: 2rem;
    padding: 1rem 1.9rem;

    @include respond (tab-land) {
        padding: 1rem 1rem;
    }
}

@mixin header-nav-hover {
    box-shadow: 0px 0px 49px -2px rgba(0, 0, 0, 0.25041);
    border-radius: 3.7rem;
    transition: all 0.5s;
    backface-visibility: hidden;
}

@mixin silder-title-style {
    font-weight: 700;
    font-size: 3.6rem;
    line-height: 4.4rem;

    @include respond(tab-port) {
        font-size: 2.6rem;
    }

    @include respond(phone) {
        font-size: 2.4rem;
        line-height: 3.5rem;
    }
}

@mixin slider-title-md {
        font-weight: 500;
        font-size: 2.2rem;
        line-height: 2.7rem;
}

@mixin grid-item-style {
    box-shadow: 0rem 0rem 2.5rem -1rem rgba(0, 0, 0, 0.19);
    border-radius: 2rem;
}

@mixin plan-card-title {
    font-weight: 700;
    font-size: 1.8rem;
    line-height: 2.2rem;
    text-align: center;
    text-transform: uppercase;
}


@mixin plan-card-bg {
    background: var(--color-paper-light);
    box-shadow: 0rem .3rem 4.9rem .9rem rgba(0, 0, 0, 0.06);
    border-radius: 4rem;
}

@mixin plan-card-large {
    font-weight: 700;
    font-size: 3.2rem;
    line-height: 3.9rem;
    text-align: center;
    color: var(--color-text-primary);   
}

@mixin btn-blue {
    color: #FFFFFF;
    background: #304FFE;
    border: none;
    border-radius: 3.9rem;
    cursor: pointer;
    &:hover {
        background-color:#1A237E;
    }
}
@mixin btn-pink {
    color: #FFFFFF;
    background: #E91E63;
    &:hover {
        background-color: #880E4F;
    }
}

@mixin event-title {
    font-weight: 700;
    font-size: 1.6rem;
    line-height: 2rem;
    text-transform: uppercase;
    
}
@mixin event-story-text {
    font-weight: 500;
    font-size: 1.8rem;
    line-height: 2.7rem;
        
}

@mixin logo-name {
    font-weight: 700;
    font-size: 1.8rem;
    line-height: 2.2rem;
}

@mixin footer-list-style {
    font-weight: 400;
    font-size: 1.6rem;
    line-height: 2rem;
}

@mixin storyline-style {
    font-style: normal;
    font-weight: 700;
    font-size: 2.6rem;
    line-height: 3.2rem;
}

@mixin crew-names-style {
    font-weight: 500;
    font-size: 1.6rem;
    line-height: 2rem;
}

@mixin background-position {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
}

@mixin cards-hover-bg {
    background:  linear-gradient(312.8deg, #E91E63 28.11%, #304FFE 94.88%);
    border-radius: 0 0 58% 58%/0 0 45% 45%;
    border-top-right-radius: 4rem;
    border-top-left-radius: 4rem;
    z-index: -10;
}

@mixin social-btn {
    color: #FFFFFF;
    align-items: center;
    gap: 1.4rem;
    border-radius: 3.9rem;
    text-transform: uppercase;
    width: 33%;

    @include respond(tab-port) {
        width: 50%;
        justify-content: center;
    }
    @include respond(phone) {
        width: 55%;
    }


}
@mixin respond($breakpoint) {
    @if $breakpoint == phone {
        @media only screen and (max-width: 37.5em) { @content };    //600px
    }
    @if $breakpoint == tab-port {
        @media only screen and (max-width: 56.25em) { @content };     //900px
    }
    @if $breakpoint == tab-land {
        @media only screen and (max-width: 75em) { @content };    //1200px
    }
    @if $breakpoint == big-desktop {
        @media only screen and (min-width: 112.5em) { @content };    //1800
    }
}